Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class Indicator

    java.lang.Object
      |
      +--kodo.jdbc.meta.Indicator

All Implemented Interfaces:
  Mapping

Direct Known Subclasses:
  ClassIndicator, VersionIndicator

public abstract class Indicator
extends Object
implements Mapping

Base class for class and version indicators.

Constructor Summary
`Indicator()`

Method Summary
`void` | `addMappingInfoAttributes(Collection attrs)` Add all mapping attributes names used by this mapping to the given collection.
`void` | `delete(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize flushing this mapping.
`void` | `delete(KodoStateManager sm, RowManager rm)` Set the where values appropriately to delete the proper instance, and set all relations on non-secondary tables as updates.
`void` | `fromMappingInfo(MappingInfo info, boolean adapt)` The default implementation will raise warnings for any mapping attributes that are declared but not in the list of the valid attributes for this mapping.
`protected DBDictionary` | `getDBDictionary()`
`MappingRepository` | `getMappingRepository()` Return the mapping's repository.
`ClassMapping` | `getOwnerMapping()` Return the class mapping that uses this indicator.
`Table` | `getTable()` Return the mapping's primary data table.
`void` | `insert(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize flushing this mapping.
`void` | `insert(KodoStateManager sm, RowManager rm)` Set values for the mapping into the proper rows.
`Boolean` | `isCustomDelete(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called.
`Boolean` | `isCustomInsert(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called.
`Boolean` | `isCustomUpdate(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called.
`void` | `refSchemaComponents()` Increment the reference count of all used schema components.
`void` | `reverseMap(SchemaGroup schema, ReverseMappingTool tool)` Create mappings from the schema, using the given tool.
`boolean` | `select(Select sel)` Select the virtual row columns of this mapping.
`void` | `setOwnerMapping(ClassMapping owner)` Set the class mapping that uses this indicator.
`void` | `update(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize flushing this mapping.
`void` | `update(KodoStateManager sm, RowManager rm)` Set values for the mapping into the proper rows.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.jdbc.meta.Mapping
`getMappingType, map, toMappingInfo`

Constructor Detail

### Indicator

    public Indicator()

Method Detail

### getMappingRepository

    public MappingRepository getMappingRepository()

  Description copied from interface: `Mapping`
  Return the mapping's repository.
  Specified by:
    `getMappingRepository` in interface `Mapping`

### getOwnerMapping

    public ClassMapping getOwnerMapping()

  Return the class mapping that uses this indicator.

### setOwnerMapping

    public void setOwnerMapping(ClassMapping owner)

  Set the class mapping that uses this indicator.

### select

    public boolean select(Select sel)

  Select the virtual row columns of this mapping. Returns false by default.
  Returns:
    true if anything was selected; false otherwise

### fromMappingInfo

    public void fromMappingInfo(MappingInfo info,
                                boolean adapt)

  The default implementation will raise warnings for any mapping attributes that are declared but not in the list of the valid attributes for this mapping.
  Specified by:
    `fromMappingInfo` in interface `Mapping`
  See Also:
    `addMappingInfoAttributes(java.util.Collection)`

### addMappingInfoAttributes

    public void addMappingInfoAttributes(Collection attrs)

  Description copied from interface: `Mapping`
  Add all mapping attributes names used by this mapping to the given collection. For foreign key attributes, add the prefix.
  Specified by:
    `addMappingInfoAttributes` in interface `Mapping`

### getTable

    public Table getTable()

  Description copied from interface: `Mapping`
  Return the mapping's primary data table.
  Specified by:
    `getTable` in interface `Mapping`

### refSchemaComponents

    public void refSchemaComponents()

  Description copied from interface: `Mapping`
  Increment the reference count of all used schema components.
  Specified by:
    `refSchemaComponents` in interface `Mapping`

### reverseMap

    public void reverseMap(SchemaGroup schema,
                           ReverseMappingTool tool)

  Description copied from interface: `Mapping`
  Create mappings from the schema, using the given tool. Implement this method if you want the class mapping to be a candidate when reverse-mapping a schema to java classes. Note that this method will be invoked on a template instance, so you cannot rely on the metadata or owning repository being set.
  Specified by:
    `reverseMap` in interface `Mapping`

### insert

    public void insert(KodoStateManager sm,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Mapping`
  Set values for the mapping into the proper rows. For class mappings, this method will be called only after the corresponding method has been called for all fields of this mapping.
  Specified by:
    `insert` in interface `Mapping`

### update

    public void update(KodoStateManager sm,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Mapping`
  Set values for the mapping into the proper rows.
  Specified by:
    `update` in interface `Mapping`
  Following copied from interface: `kodo.jdbc.meta.Mapping`
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### delete

    public void delete(KodoStateManager sm,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Mapping`
  Set the where values appropriately to delete the proper instance, and set all relations on non-secondary tables as updates. This allows foreign key analysis.
  Specified by:
    `delete` in interface `Mapping`
  Following copied from interface: `kodo.jdbc.meta.Mapping`
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### isCustomInsert

    public Boolean isCustomInsert(KodoStateManager sm)

  Description copied from interface: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called. Implement the `#insert(KodoStateManager,JDBCStoreManager,Connection)` method to implement the custom insertion behavior.
  Specified by:
    `isCustomInsert` in interface `Mapping`

### isCustomUpdate

    public Boolean isCustomUpdate(KodoStateManager sm)

  Description copied from interface: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called. Implement the `#update(KodoStateManager,JDBCStoreManager,Connection)` method to override the default update behavior.
  Specified by:
    `isCustomUpdate` in interface `Mapping`

### isCustomDelete

    public Boolean isCustomDelete(KodoStateManager sm)

  Description copied from interface: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called. Implement the `#delete(KodoStateManager,JDBCStoreManager,Connection)` method to override the default deletion behavior.
  Specified by:
    `isCustomDelete` in interface `Mapping`

### insert

    public void insert(KodoStateManager sm,
                       JDBCStoreManager store)
                throws SQLException

  Description copied from interface: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method is called after the owning object is inserted, so if this field is in a row with other fields, that row will already exist.
  Specified by:
    `insert` in interface `Mapping`

### update

    public void update(KodoStateManager sm,
                       JDBCStoreManager store)
                throws SQLException

  Description copied from interface: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields.
  Specified by:
    `update` in interface `Mapping`

### delete

    public void delete(KodoStateManager sm,
                       JDBCStoreManager store)
                throws SQLException

  Description copied from interface: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method will be called after the owning object is deleted.
  Specified by:
    `delete` in interface `Mapping`

### getDBDictionary

    protected DBDictionary getDBDictionary()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.